using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FiestaBot.Instances.Networking;
using FiestaBot.Manager.Networking;

namespace FiestaBot.Manager.Handlers
{
    internal class Manager28Handler
    {
        [ManagerPacketHandler(28, 3)]
        public static void LoadQuickBar(ManagerClient Socket, Packet Packet)
        {
            //TODO: Quickbar
            Packet.Dispose();
        }

        [ManagerPacketHandler(28, 5)]
        public static void LoadQuickBarState(ManagerClient Socket, Packet Packet)
        {
            //TODO: Quickbar state
            Packet.Dispose();
        }

        [ManagerPacketHandler(28, 7)]
        public static void Handle287(ManagerClient Socket, Packet Packet)
        {
            //TODO: Find out what this does
            Packet.Dispose();
        }

        [ManagerPacketHandler(28, 11)]
        public static void LoadGameSettings(ManagerClient Socket, Packet Packet)
        {
            //TODO: Quickbar
            Packet.Dispose();
        }

        [ManagerPacketHandler(28, 13)]
        public static void LoadClienSettings(ManagerClient Socket, Packet Packet)
        {
            //TODO: Client settings
            Packet.Dispose();
        }

        [ManagerPacketHandler(28, 15)]
        public static void LoadShortcuts(ManagerClient Socket, Packet Packet)
        {
            //TODO: Shortcuts
            Packet.Dispose();
        }
    }
}
